org.deidentifier.arx.test

## Class TestDataHandle

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.TestDataHandle

    public class TestDataHandle
    extends AbstractTest

Tests for data handles

Author:
  Fabian Prasser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Constructor Summary

Constructors
Constructor and Description
`TestDataHandle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testGetters()` Test case
`void` `testMultipleDataHandlesFork()` Test case
`void` `testMultipleDataHandlesForkSync()` Test case
`void` `testMultipleDataHandlesNoForkLocked()` Test case
`void` `testMultipleDataHandlesNoForkOrphaned()` Test case
`void` `testSorting()` Test case
`void` `testStableSorting()` Test case
`void` `testSubset1()` Test case
`void` `testSubset2()` Test case
`void` `testSubset3()` Test case
`void` `testSubset4()` Test case
`void` `testSubset5()` Test case

### Methods inherited from class org.deidentifier.arx.test.AbstractTest

`setUp`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestDataHandle

    public TestDataHandle()

### Method Detail

#### testGetters

    public void testGetters()
                     throws java.lang.IllegalArgumentException,
                            java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testMultipleDataHandlesFork

    public void testMultipleDataHandlesFork()
                                     throws java.lang.IllegalArgumentException,
                                            java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testMultipleDataHandlesForkSync

    public void testMultipleDataHandlesForkSync()
                                         throws java.lang.IllegalArgumentException,
                                                java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testMultipleDataHandlesNoForkLocked

    public void testMultipleDataHandlesNoForkLocked()
                                             throws java.lang.IllegalArgumentException,
                                                    java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testMultipleDataHandlesNoForkOrphaned

    public void testMultipleDataHandlesNoForkOrphaned()
                                               throws java.lang.IllegalArgumentException,
                                                      java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testSorting

    public void testSorting()
                     throws java.lang.IllegalArgumentException,
                            java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testStableSorting

    public void testStableSorting()
                           throws java.lang.IllegalArgumentException,
                                  java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testSubset1

    public void testSubset1()
                     throws java.lang.IllegalArgumentException,
                            java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testSubset2

    public void testSubset2()
                     throws java.lang.IllegalArgumentException,
                            java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testSubset3

    public void testSubset3()
                     throws java.lang.IllegalArgumentException,
                            java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testSubset4

    public void testSubset4()
                     throws java.lang.IllegalArgumentException,
                            java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`

#### testSubset5

    public void testSubset5()
                     throws java.lang.IllegalArgumentException,
                            java.io.IOException

Test case

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`